unit Cursor_Demo1;

{$mode objfpc}{$H+}

interface

uses
 Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, LResources,
 ExtCtrls;

type

 { TForm1 }

 TForm1 = class(TForm)
  Button1: TButton;
  Button2: TButton;
  RadioGroup1: TRadioGroup;
  procedure Button1Click(Sender: TObject);
  procedure Button2Click(Sender: TObject);
  procedure FormCreate(Sender: TObject);
 private

 public

 end;

var
 Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


const

Cname : array[1..4] of string = (
        'hourglass',
        'RedCursor',
        'arrowTZ',
        's32'
        );

procedure TForm1.FormCreate(Sender: TObject);
var i : integer;
begin
RadioGroup1.Items.add ('Default');
for i := low(Cname) to high(Cname) do
       begin
       Screen.Cursors[i] := LoadCursorFromLazarusResource(CName[i]);
       RadioGroup1.Items.add (CName[i]);
       end;
RadioGroup1.ItemIndex := 0;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 if RadioGroup1.ItemIndex = 0 then screen. cursor := crDefault else
             screen. cursor := RadioGroup1.ItemIndex;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 Screen.Cursor := crDefault;
end;

Initialization

{$I hourglass.lrs}
{$I RedCursor.lrs}
{$I arrowTZ.lrs}
{$I s32.lrs}



end.

